<div class="bottom-navbar p-4">
    <div class="left-items">
        <span style="font-size: 25px;">{{today | date:'h:mm'}}</span>
        <span><img class="icon" src="../../assets/line.svg" alt=""></span>
        <button type="button" class="btn btn-outline-dark m-2 p-0" (click)="endCall()"><img class="icon my-2 mx-3"
                src="../../assets/call.svg" alt=""></button>
    </div>
    <div class="center-items">
        <button type="button" class="btn btn-outline-dark m-2 p-0" (click)="toggleMic()"><img class="icon m-2"
                src="../../assets/microphone.svg" alt=""></button>
        <button type="button" class="btn btn-outline-dark m-2 p-0" (click)="toggleVideo()"><img class="icon m-2"
                src="../../assets/video.svg" alt=""></button>
        <button type="button" class="btn btn-outline-dark m-2 p-0" [disabled]="disableScreenShareBtn()" (click)="!screenShareBtn ? screenShare() : unpublishScreenShare()"><img class="icon m-2"
                src="../../assets/present.svg" alt=""></button>
        <button type="button" class="btn btn-outline-dark m-2 p-0" (click)="toggleFullScreen()"><img class="icon m-2"
                src="../../assets/screen.svg" alt=""></button>
        <button type="button" class="btn btn-outline-dark m-2 p-0"><img class="icon m-2" src="../../assets/settings.svg"
                alt=""></button>
        <button type="button" class="btn btn-outline-dark m-2 p-0" (click)="chatPopup = !chatPopup"><img
                class="icon m-2" src="../../assets/chat.svg" alt=""></button>
        <!-- <button type="button" class="btn btn-outline-dark m-2 p-0" (click)="cloudRecording.checkStatus()">Check Recording</button> -->
    </div>
    <div class="right-items">
        <button *ngIf="screenShareMode" type="button" class="btn btn-outline-dark m-2 px-2" (click)="changeMode('screen-share')"><img class="icon m-1"
            src="../../assets/present.svg" alt=""></button>
        <button type="button" class="btn btn-outline-dark m-2 px-2" (click)="changeMode('code-editor')">Code <img
                class="icon m-1" src="../../assets/code.svg" alt=""></button>
        <button type="button" class="btn btn-outline-dark m-2 px-2" (click)="changeMode('whiteboard')">Whiteboard <img
                class="icon m-1" src="../../assets/whiteboard.svg" alt=""></button>
    </div>
</div>

<div class="custom-container">
    <div [ngClass]="currentMode === 'whiteboard' ? 'd-grid whiteboard border' : 'd-none'">
        <app-canvas-board></app-canvas-board>
    </div>
    <div *ngIf="currentMode === 'code-editor'" class="d-grid std-in border" style="overflow: hidden;">
        <ngs-code-editor [theme]="theme" [options]="options" [codeModel]="inputModel" style="height: 100%;">
        </ngs-code-editor>
    </div>
    <div *ngIf="currentMode === 'code-editor'" class="d-grid std-out border" style="overflow: hidden;">
        <ngs-code-editor [theme]="theme" [options]="options" [codeModel]="outputModel" style="height: 100%;">
        </ngs-code-editor>
    </div>
    <div *ngIf="currentMode === 'code-editor'" class="code-editor border" style="overflow: hidden;">
        <ngs-code-editor [theme]="theme" [codeModel]="codeModel" [options]="options" (valueChanged)="onCodeChanged($event)" [style.height]="userType === 'candidate' ? '90%' : '100%' ">
        </ngs-code-editor>
        <div *ngIf="userType === 'candidate'" class="d-flex align-items-center p-2" style="height: 10% !important;">
            <select [(ngModel)]="currentLanguageId" (click)="onLanguageChange($event)">
                <option *ngFor="let i of modes" [value]="i.id">{{i.name}}</option>
            </select>
            <span style="margin-left: auto;">
                <button class="btn btn-danger m-1" (click)="resetCode()">Reset</button>
                <button class="btn btn-primary m-1" (click)="compileCode()">Compile</button>
            </span>
        </div>
    </div>
    <div [ngClass]="currentMode === 'screen-share' ? 'd-grid whiteboard border' : 'd-none'" [id]="screenShareCallId">
    </div>
    <div [ngClass]="currentMode === 'call' ? 'main-video border mx-5 my-2 rounded' : 'd-grid border'" [id]="remoteCallId">
    </div>
    <div [ngClass]="currentMode === 'call' ? 'sub-video border rounded' : 'd-grid border'" [id]="localCallId">
    </div>
    <div [ngClass]="currentMode !== 'call' ? 'd-grid end border' : 'd-none'">
        <div class="d-flex justify-content-center align-items-center" style="height: 100%;">
            <div class="text-center p-2">
                You’re currently in <span *ngIf="currentMode === 'whiteboard'">whiteboard</span><span *ngIf="currentMode === 'code-editor'">code editor</span><span *ngIf="currentMode === 'screen-share'">screen share</span> mode. To switch back to video
                only, click the button below.
                <br><br>
                <button class="btn btn-outline-secondary" (click)="changeMode('call')">Close <span
                        *ngIf="currentMode === 'whiteboard'">whiteboard</span><span
                        *ngIf="currentMode === 'code-editor'">code editor</span><span
                        *ngIf="currentMode === 'screen-share'">screen share</span></button>
            </div>
        </div>
    </div>
</div>

<!-- <ng-template #codeEditor>
    <ng-container *ngIf="currentMode === 'code-editor'">
        <div class="custom-container">
            <div class="std-in border" style="overflow: hidden;">
                <ngs-code-editor [theme]="theme" [options]="options" [codeModel]="inputModel" style="height: 100%;">
                </ngs-code-editor>
            </div>
            <div class="std-out border" style="overflow: hidden;">
                <ngs-code-editor [theme]="theme" [options]="options" [codeModel]="outputModel" style="height: 100%;">
                </ngs-code-editor>
            </div>
            <div class="code-editor border" style="overflow: hidden">
                <ngs-code-editor [theme]="theme" [codeModel]="codeModel" [options]="options" (valueChanged)="onCodeChanged($event)" [style.height]="userType === 'candidate' ? '90%' : '100%' ">
                </ngs-code-editor>
                <div *ngIf="userType === 'candidate'" class="d-flex align-items-center p-2" style="height: 10% !important;">
                    <select [(ngModel)]="currentLanguageId" (click)="onLanguageChange($event)">
                        <option *ngFor="let i of modes" [value]="i.id">{{i.name}}</option>
                    </select>
                    <span style="margin-left: auto;">
                        <button class="btn btn-danger m-1" (click)="resetCode()">Reset</button>
                        <button class="btn btn-primary m-1" (click)="compileCode()">Compile</button>
                    </span>
                </div>
            </div>
            <div class="border">
            </div>
            <div class="border" [id]="localCallId">
            </div>
            <div class="end border">
                <div class="d-flex justify-content-center align-items-center" style="height: 100%;">
                    <div class="text-center p-2">
                        You’re currently in code mode. To switch back to video only, click the button below.
                        <br><br>
                        <button class="btn btn-outline-secondary" (click)="changeMode('call')">Close code area</button>
                    </div>
                </div>
            </div>
        </div>
    </ng-container>
</ng-template> -->

<!-- <ng-template #whiteboard>
    <div class="custom-container">
        <div class="whiteboard border">
            <app-canvas-board></app-canvas-board>
        </div>
        <div class="border">
        </div>
        <div class="border">
        </div>
        <div class="end border">
            <div class="d-flex justify-content-center align-items-center" style="height: 100%;">
                <div class="text-center p-2">
                    You’re currently in whiteboard mode. To switch back to video only, click the button below.
                    <br><br>
                    <button class="btn btn-outline-secondary" (click)="changeMode('call')">Close whiteboard</button>
                </div>
            </div>
        </div>
    </div>
</ng-template> -->


<div class="chat-popup" id="myForm" [style.display]="chatPopup ? 'block' : 'none' ">
    <form class="form-container">
        <div style="overflow-y: scroll;max-height: 300px;" #messageWindow>
            <div *ngFor="let messg of messages">
                <div *ngIf="id == messg.id">
                    <b style="color: white;">Me</b>
                    <p style="color: white;">{{messg.message}}</p>
                    <i style="color: white;">{{messg.timeStamp | date:'medium'}}</i>
                </div>
                <div *ngIf="id != messg.id">
                    <b style="color: white;">{{messg.name}}</b>
                    <p style="color: white;">{{messg.message}}</p>
                    <i style="color: white;">{{messg.timeStamp | date:'medium'}}</i>
                </div>
                <hr>
            </div>
        </div>
        <div class="input-group my-3">
            <input type="text" class="form-control" [(ngModel)]="currentMessage" [ngModelOptions]="{standalone: true}" placeholder="Enter Message">
        </div>
        <button type="submit" class="btn btn-success" (click)="sendMessage()" [disabled]="currentMessage === ''">Send
            Message</button>
        <button type="button" class="btn btn-danger" (click)="chatPopup = false">Close</button>
    </form>
</div>